Spec0docsCLI 0.7.0
API Explorer

List public APIs for the calling org

Org context derived from the calling token's principal.

GET
/api/v1/public/apis

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token. Either a Personal Access Token (pat_...) or a Service Account Token (sat_...). Issued via the Spec0 dashboard or /me/personal-access-tokens.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://app.spec0.io/api/v1/public/apis"
[
  {
    "publicApiId": "6cdb160e-37b9-4802-86c1-ee5fed60dba5",
    "apiSlug": "string",
    "title": "string",
    "description": "string",
    "visibility": "DRAFT",
    "latestVersion": "string",
    "publishedAt": "string",
    "updatedAt": "string"
  }
]
{
  "error": "string",
  "message": "string"
}
{
  "status": 0,
  "title": "string",
  "detail": "string",
  "type": "string",
  "instance": "string"
}
Was this helpful?